be.fgov.ehealth.idsupport.core.v2

## Class ValidationInfoType

- java.lang.Object
- - be.fgov.ehealth.idsupport.core.v2.ValidationInfoType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:52:37+01:00",
                 comments="JAXB RI v2.3.7")
      public class ValidationInfoType
      extends Object
      implements Serializable

  Detailed information on validation result.

  Java class for ValidationInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ValidationInfoType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="Date" type="{http://www.w3.org/2001/XMLSchema}date" />
             <attribute name="Detail" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationInfoType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
    `String` | `getDetail()` Gets the value of the detail property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
    `void` | `setDetail(String value)` Sets the value of the detail property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationInfoType

          public ValidationInfoType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDate

          public org.joda.time.DateTime getDate()

      Gets the value of the date property.
      Returns:
        possible object is `String`

    - #### setDate

          public void setDate(org.joda.time.DateTime value)

      Sets the value of the date property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDetail

          public String getDetail()

      Gets the value of the detail property.
      Returns:
        possible object is `String`

    - #### setDetail

          public void setDetail(String value)

      Sets the value of the detail property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.